log-level: warning
profile:
  store-selected: true
  store-fake-ip: true
tcp-concurrent: true
dns:
  enable: true
  cache-algorithm: arc
  ipv6: true
  enhanced-mode: fake-ip
  nameserver:
    - quic://223.5.5.5
mixed-port: 7890
tun:
  enable: true
  stack: mixed
  auto-route: true
  auto-detect-interface: true
  strict-route: true
proxies:
  - name: 🇭🇰Aliyun-HKG
    type: hysteria2
    server: aliyun-hkg.pku.pp.ua
    port: 443
    password: "8JCsPssfgS8tiRwiMlhARg=="
  - name: 🇯🇵Aliyun-TYO
    type: hysteria2
    server: aliyun-tyo.pku.pp.ua
    port: 443
    password: "8JCsPssfgS8tiRwiMlhARg=="
proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - 🇭🇰Aliyun-HKG
      - 🇯🇵Aliyun-TYO
rules:
  - RULE-SET,geosite-geolocation-cn,DIRECT
  - AND,((NETWORK,UDP),(DST-PORT,443),(RULE-SET,geosite-geolocation-!cn)),REJECT
  - DOMAIN,services.googleapis.cn,PROXY
  - RULE-SET,geosite-geolocation-!cn,PROXY
  - RULE-SET,geoip-private,DIRECT
  - RULE-SET,geoip-cn,DIRECT
  - AND,((NETWORK,UDP),(DST-PORT,443)),REJECT
  - MATCH,PROXY
rule-providers:
  geosite-geolocation-cn:
    type: http
    url: "https://raw.githubusercontent.com/MetaCubeX/meta-rules-dat/meta/geo/geosite/geolocation-cn.mrs"
    proxy: PROXY
    behavior: domain
    format: mrs
  geosite-geolocation-!cn:
    type: http
    url: "https://raw.githubusercontent.com/MetaCubeX/meta-rules-dat/meta/geo/geosite/geolocation-!cn.mrs"
    proxy: PROXY
    behavior: domain
    format: mrs
  geoip-private:
    type: http
    url: "https://raw.githubusercontent.com/MetaCubeX/meta-rules-dat/meta/geo/geoip/private.mrs"
    proxy: PROXY
    behavior: ipcidr
    format: mrs
  geoip-cn:
    type: http
    url: "https://raw.githubusercontent.com/MetaCubeX/meta-rules-dat/meta/geo/geoip/cn.mrs"
    proxy: PROXY
    behavior: ipcidr
    format: mrs
